require-directory

v2.1.1

Recursively iterates over specified directory, require()'ing each file, and returning a nested hash structure containing those modules.

MIT
Latest version published 7 years ago
    npm install require-directory
  

Package Health Score

67 / 100

Security

No known security issues
Powered by Snyk
All security vulnerabilities belong to production dependencies of direct and indirect packages.

Security and license risk for significant versions

All Versions
Version Vulnerabilities License Risk
2.1.1 | 05/2015
Popular
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
2.0.0 | 07/2014
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
1.2.0 | 11/2013
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
0.0.3 | 12/2012
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
License
MIT
Security Policy
No

Is your project affected by vulnerabilities?

Scan your projects for vulnerabilities. Fix quickly with automated fixes. Get started with Snyk for free.

# Install the Snyk CLI and test your project
npm i snyk -g && snyk test require-directory
Get started free

Popularity

Influential project

Weekly Downloads (25,086,467)

Download trend
Dependents
788
GitHub Stars
392
Forks
32
Contributors
10

Direct Usage Popularity

TOP 5%

The npm package require-directory receives a total of 25,086,467 downloads a week. As such, we scored require-directory popularity level to be Influential project.

Based on project statistics from the GitHub repository for the npm package require-directory, we found that it has been starred 392 times, and that 788 other projects in the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Community

Limited
Readme.md
Yes
Contributing.md
No
Code of Conduct
No
Contributors
10
Funding
No

This project has seen only 10 or less contributors.

We found a way for you to contribute to the project! Looks like require-directory is missing a Code of Conduct.


Embed Package Health Score Badge

package health: 67/100 package health 67/100

Maintenance

Inactive

Commit Frequency

No Recent Commits
Open Issues
13
Open PR
5
Last Release
7 years ago
Last Commit
6 years ago

Further analysis of the maintenance status of require-directory based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Inactive.

An important project maintenance signal to consider for require-directory is that it hasn't seen any new versions released to npm in the past 12 months, and could be considered as a discontinued project, or that which receives low attention from its maintainers.

In the past month we didn't find any pull request activity or change in issues status has been detected for the GitHub repository.

Package

Node.js Compatibility
>=0.10.0

Age
10 years
Dependencies
0 Direct
Versions
13
Install Size
0 B
Dist-tags
1
# of Files
0
Maintainers
1
TS Typings
Yes

require-directory has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.